ur_rna.GUITester

## Class Script

- java.lang.Object
- - ur_rna.GUITester.Script

-     class Script
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `endLine`
    `java.lang.String` | `filePath`
    `java.io.Reader` | `input`
    `long` | `startLine`
    `java.lang.String` | `title`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Script(java.lang.String filePath, java.io.Reader input)`
    `Script(java.lang.String filePath, java.io.Reader input, long start, long end)`
    `Script(java.lang.String filePath, java.lang.String scriptText)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `fromFile()`
    `java.lang.String` | `getFileInfo(boolean quotePath)`
    `java.io.Reader` | `getInput()`
    `java.lang.String` | `getSegmentInfo()`
    `boolean` | `isSegment()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### endLine

          public final long endLine

    - #### filePath

          public final java.lang.String filePath

    - #### input

          public final java.io.Reader input

    - #### startLine

          public final long startLine

    - #### title

          public java.lang.String title

  - ### Constructor Detail

    - #### Script

          public Script(java.lang.String filePath,
                        java.io.Reader input)

    - #### Script

          public Script(java.lang.String filePath,
                        java.io.Reader input,
                        long start,
                        long end)

    - #### Script

          public Script(java.lang.String filePath,
                        java.lang.String scriptText)

  - ### Method Detail

    - #### fromFile

          public boolean fromFile()

    - #### getFileInfo

          public java.lang.String getFileInfo(boolean quotePath)

    - #### getInput

          public java.io.Reader getInput()

    - #### getSegmentInfo

          public java.lang.String getSegmentInfo()

    - #### isSegment

          public boolean isSegment()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`